# DataExchange
TKXSBase
Transfer

# Transfer_HSequenceOfBinder Class Reference

`#include <Transfer_HSequenceOfBinder.hxx>`

## Public Member Functions

| Transfer_HSequenceOfBinder ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(Transfer_Binder)&anItem)
Standard_EXPORT void | Append (const Handle(Transfer_HSequenceOfBinder)&aSequence)
Standard_EXPORT void | Prepend (const Handle(Transfer_Binder)&anItem)
Standard_EXPORT void | Prepend (const Handle(Transfer_HSequenceOfBinder)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(Transfer_Binder)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(Transfer_HSequenceOfBinder)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(Transfer_Binder)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(Transfer_HSequenceOfBinder)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_Transfer_HSequenceOfBinder | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(Transfer_Binder)&anItem)
Standard_EXPORT const Handle_Transfer_Binder & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_Transfer_Binder & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const Transfer_SequenceOfBinder & | Sequence () const
Transfer_SequenceOfBinder & | ChangeSequence ()
Standard_EXPORT Handle_Transfer_HSequenceOfBinder | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Transfer_SequenceOfBinder | mySequence

## Constructor & Destructor Documentation

Transfer_HSequenceOfBinder::Transfer_HSequenceOfBinder | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Transfer_HSequenceOfBinder::Append | ( | const Handle(Transfer_HSequenceOfBinder)& | aSequence | ) |

Standard_EXPORT void Transfer_HSequenceOfBinder::Append | ( | const Handle(Transfer_Binder)& | anItem | ) |

Transfer_SequenceOfBinder& Transfer_HSequenceOfBinder::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_Transfer_Binder& Transfer_HSequenceOfBinder::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Transfer_HSequenceOfBinder::Clear | ( |  | ) |

Standard_EXPORT void Transfer_HSequenceOfBinder::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const Transfer_HSequenceOfBinder::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void Transfer_HSequenceOfBinder::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(Transfer_HSequenceOfBinder)& | aSequence
| ) |

Standard_EXPORT void Transfer_HSequenceOfBinder::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(Transfer_Binder)& | anItem
| ) |

Standard_EXPORT void Transfer_HSequenceOfBinder::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(Transfer_HSequenceOfBinder)& | aSequence
| ) |

Standard_EXPORT void Transfer_HSequenceOfBinder::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(Transfer_Binder)& | anItem
| ) |

Standard_Boolean Transfer_HSequenceOfBinder::IsEmpty | ( |  | ) | const

Standard_Integer Transfer_HSequenceOfBinder::Length | ( |  | ) | const

Standard_EXPORT void Transfer_HSequenceOfBinder::Prepend | ( | const Handle(Transfer_HSequenceOfBinder)& | aSequence | ) |

Standard_EXPORT void Transfer_HSequenceOfBinder::Prepend | ( | const Handle(Transfer_Binder)& | anItem | ) |

Standard_EXPORT void Transfer_HSequenceOfBinder::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void Transfer_HSequenceOfBinder::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void Transfer_HSequenceOfBinder::Reverse | ( |  | ) |

const Transfer_SequenceOfBinder& Transfer_HSequenceOfBinder::Sequence | ( |  | ) | const

Standard_EXPORT void Transfer_HSequenceOfBinder::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(Transfer_Binder)& | anItem
| ) |

Standard_EXPORT Handle_Transfer_HSequenceOfBinder Transfer_HSequenceOfBinder::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_Transfer_HSequenceOfBinder Transfer_HSequenceOfBinder::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_Transfer_Binder& Transfer_HSequenceOfBinder::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

Transfer_SequenceOfBinder Transfer_HSequenceOfBinder::mySequence `[private]`

The documentation for this class was generated from the following file:

- Transfer_HSequenceOfBinder.hxx